Introducere

HP Driver Deployment Utility (DDU) permite unui administrator să creeze un pachet de instalare a driverelor, astfel încât utilizatorii finali să efectueze instalări neasistate. Acest utilitar acceptă adăugarea driverelor de imprimantă la depozitul de drivere Windows şi crearea intrărilor în folderul imprimantei. Driver Deployment Utility acceptă drivere de imprimantă concepute spre a fi utilizate cu Expertul adăugare imprimantă de la Microsoft. Toate alertele şi restricţiile de certificare Microsoft se aplică.

Interfaţa cu utilizatorul este împărţită în 3 secţiuni:

  1. „Sursă pachet” descrie tipul pachetului şi locaţia driverului pe care doriţi să-l creaţi
  2. „Destinaţie pachet” identifică numele şi locaţia pachetului de instalare
  3. „Creare pachet” iniţiază procesul de creare a pachetului


Sursă pachet

Directorul de drivere

Utilizaţi butonul „Selectare driver...” pentru a selecta un fişier .inf din directorul de drivere, prin răsfoire sau introducându-l. Trebuie să aveţi doar un singur pachet de drivere în acest director, întrucât acest utilitar va împacheta toate fişierele găsite în acest director (şi în subdirectoare) într-un singur fişier executabil. Dacă aţi descărcat un pachet de drivere comprimat, trebuie să-l dezarhivaţi înainte de a utiliza acest utilitar.

În unele cazuri este posibil să aveţi mai multe fişiere .inf în director (uneori unul este pentru imprimante color şi altul este pentru imprimante alb-negru). În acest caz, o fereastră de dialog suplimentară vă va permite să selectaţi driverul corespunzător pentru pachet.

De asemenea, vi se va afişa un avertisment dacă directorul este prea mare. Această măsură este menită să prevină împachetarea mai multor drivere. În acest moment puteţi alege să continuaţi dacă directorul conţine toate fişierele dorite sau necesare.

După ce s-a selectat directorul de drivere şi s-a găsit un driver, se vor afişa informaţiile despre director şi despre driver.

Pentru driverele care acceptă configurarea prealabilă, se va activa caseta de selectare de mai jos. Prin selectarea acestei casete se va afişa o fereastră de dialog după ce se selectează butonul „Creare pachet”.

Tip de instalare

„Încărcare prealabilă a driverului” - este opţiunea de selectat pentru acei utilizatori care folosesc o conexiune directă, precum un cablu USB. Va fi nevoie de un eveniment „Plug and Play” pentru a instala driverul, dar acest pachet va instala toate fişierele în depozitul de drivere Windows, pentru o utilizare ulterioară. NOTĂ: Dacă pentru un dispozitiv se găsesc mai multe drivere, sistemul de operare va stabili care dintre acestea este cel mai potrivit pentru evenimentul Plug and Play sau va prezenta utilizatorului o fereastră de dialog pentru selectarea driverului.

În mod implicit, fişierul executabil rulează cu o fereastră de dialog în care se prezintă evoluţia procesului. Pentru a dezactiva fereastra de dialog în care se prezintă evoluţia procesului, lansaţi fişierul executabil cu parametrul „/q” în linia de comandă. Dacă doriţi ca utilizatorul final să conecteze imprimanta la sfârşitul procesului de instalare, selectaţi caseta de selectare „Afişare solicitare de conectare a imprimantei”.

Pentru imprimantele care folosesc o conexiune în reţea, selectaţi opţiunea „Crearea unui port de reţea şi instalarea driverului”. Butonul „Setări reţea” va deveni activ şi trebuie să faceţi clic pe acesta pentru a avea acces la setările de reţea necesare.

Setări de reţea

Trebuie să identificaţi imprimanta de reţea prin una sau mai multe dintre următoarele metode. Acest utilitar nu comunică cu dispozitivul pentru a stabili dacă setările sunt corecte, dar execută o verificare de sintaxă. (Pentru a permite redescoperirea dispozitivului, asiguraţi-vă că este precizată adresa hardware.)

Adresă IP:

Introduceţi adresa IPv4 sau IPv6 a imprimantei

Adresă hardware:

Introduceţi adresa hardware a imprimantei

Nume gazdă:

Introduceţi numele de gazdă a imprimantei

Următoarele setări de reţea sunt suplimentare. Puteţi accepta valorile implicite introduse în prealabil sau le puteţi schimba.

Nume port:

Acesta este numele portului de reţea care va fi creat. Dacă numele există deja, se va adăuga un număr pentru a-l face unic.

Nume imprimantă:

Acesta este numele imprimantei care va apărea în folderul imprimantei. Dacă numele există deja, se va adăuga un număr pentru a-l face unic.

Se setează această imprimantă ca implicită:

Da – se va seta această imprimantă ca implicită când se imprimă din alte aplicaţii.

Nu – se va menţine opţiunea implicită, cu excepţia cazului în care aceasta este singura imprimantă instalată.

Se partajează această imprimantă:

Da – se va permite utilizarea imprimantei de către alţi utilizatori.

Nume de partajare:

Nume de partajare pentru imprimantă. Este activată numai dacă „Se partajează această imprimantă” are valoarea „Da”. Dacă numele există deja, se va adăuga un număr pentru a-l face unic.


Destinaţie pachet

Selectaţi butonul „Salvare ca...” pentru a introduce numele şi locaţia de destinaţie a pachetului rezultat. Utilitarul va crea pachetul în directorul temporar şi apoi îl va muta în locaţia finală. Pachetul va conţine 2 fişiere care trebuie livrate împreună: un .exe şi un .cab.

De asemenea, în locaţia finală va fi copiat un fişier descriptiv .xml corespunzător, conţinând detaliile referitoare la pachet. Pachetul .xml are doar scop informativ, nu este utilizat de DDU în timpul executării.


Creare pachet

Selectaţi butonul „Creare pachet” când aţi introdus toate informaţiile de mai sus. Acest buton va fi dezactivat până când sunt introduse toate informaţiile necesare. Odată selectat, se vor activa butonul „Revocare” şi bara de „Progres”.

Pentru a opri crearea pachetului, selectaţi butonul „Revocare”.

Fişierul executabil va rula cu o fereastră de dialog în care se prezintă evoluţia procesului şi, dacă s-a solicitat, cu un mesaj pentru utilizator privitor la o imprimantă conectată în mod direct. Dacă a apărut o eroare pe parcursul executării, se va afişa o casetă de dialog de eroare. Pentru a suprima caseta de dialog de eroare, selectaţi caseta de selectare „Suprimarea tuturor mesajelor de eroare utilizator final”.


Observaţii suplimentare:

Pentru a închide această aplicaţie, folosiţi butonul de închidere a aplicaţiei Windows din colţul din dreapta de sus.


Sisteme de operare acceptate

Microsoft Windows 2000

Microsoft Windows XP

Microsoft Windows XP, versiunea pe 64 biţi

Microsoft Windows Server 2003 / 2008

Microsoft Windows Server 2003 / 2008, versiunea pe 64 biţi

Microsoft Windows Vista

Microsoft Windows Vista (64 biţi)


Opţiuni linie de comandă

Pachetul utilizatorului final poate fi modificat prin adăugarea de comutatori ai liniei de comandă. Comutatorii liniei de comandă pot fi combinaţi dacă sunt separaţi prin spaţii. În cazul în care linia de comandă conţine o eroare, precum un caracter invalid sau formatare inadecvată, se va afişa un mesaj de eroare. Comutatorii liniei de comandă incorecţi sunt ignoraţi. Următoarea descriere a liniei de comandă este, de asemenea, disponibilă (în limba engleză) dacă se execută pachetul utilizatorului final cu un „/?”.

Pachetele încărcate în prealabil acceptă următoarele opţiuni pentru linia de comandă:

/? afişarea informaţiilor despre linia de comandă (doar în engleză)

/q suprimarea barei de progres

/p solicitarea utilizatorului să conecteze imprimanta

/s suprimarea mesajelor de eroare de utilizator final

Pachetele pentru imprimante de reţea acceptă următoarele opţiuni pentru linia de comandă:

/? afişarea informaţiilor despre linia de comandă (doar în engleză)

/q suprimarea barei de progres

/s suprimarea mesajelor de eroare de utilizator final

/ip <adresă ip> se utilizează adresa IP specificată pentru a identifica imprimanta, de ex. /ip 120.25.5.56

/hw <adresă hardware> se utilizează adresa hardware specificată pentru a identifica imprimanta, de ex. /hw 0001E6299128

/hn <nume gazdă> se utilizează numele de gazdă specificat pentru a identifica imprimanta, de ex. /hn NumeleMeuDeGazdă

Numele gazdă nu poate avea mai mult de 255 de caractere şi poate conţine doar următoarele caractere: A-Z, a-z, 0-9 şi cratima (-).

/pn <nume port> se utilizează numele specificat drept nume al portului, de ex. /pn HPPort

Numele portului nu poate conţine spaţii şi nu poate avea mai mult de 128 de caractere.

/n ”<nume imprimantă>” se utilizează numele specificat drept nume al imprimantei, de ex. /n "HP LaserJet 8150"

Numele imprimantei trebuie inclus între ghilimele, nu poate avea mai mult de 40 de caractere şi nu poate conţine niciunul dintre aceste caractere speciale: ! # ,

/d se setează această imprimantă ca implicită

/sn ”<nume de partajare>” se activează partajarea şi se utilizează numele specificat drept nume de partajare al imprimantei, de ex. /sn ”HP LaserJet 8150 partajată”

Numele de partajare al imprimantei trebuie inclus între ghilimele, nu poate avea mai mult de 80 de caractere şi nu poate conţine niciunul dintre aceste caractere speciale: / \ : ; “ ? * + = < > [ ]

© Copyright 2007-2008 Hewlett-Packard Development Company, L.P.